public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Roman" <davidroman96@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: sci-electronics/slang/
Date: Wed,  9 Oct 2024 15:39:01 +0000 (UTC)	[thread overview]
Message-ID: <1728448303.9cd1a47eec4d2f6573682e5d28b67b1ae01b9f85.davidroman@gentoo> (raw)

commit:     9cd1a47eec4d2f6573682e5d28b67b1ae01b9f85
Author:     Huang Rui <vowstar <AT> gmail <DOT> com>
AuthorDate: Wed Oct  9 04:31:43 2024 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Wed Oct  9 04:31:43 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9cd1a47e

sci-electronics/slang: enable py3.13

Signed-off-by: Huang Rui <vowstar <AT> gmail.com>

 sci-electronics/slang/slang-9999.ebuild | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/sci-electronics/slang/slang-9999.ebuild b/sci-electronics/slang/slang-9999.ebuild
index a040c292e..19bb11845 100644
--- a/sci-electronics/slang/slang-9999.ebuild
+++ b/sci-electronics/slang/slang-9999.ebuild
@@ -3,7 +3,7 @@
 
 EAPI="8"
 
-PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( python3_{10..13} )
 inherit cmake python-single-r1
 
 DESCRIPTION="SystemVerilog compiler and language services"
@@ -39,6 +39,15 @@ BDEPEND="
 	test? ( >=dev-cpp/catch-3.0.1 )
 "
 
+src_prepare() {
+	default
+	# In order to compile smoothly, the minimum version of fmt must be lowered.
+	sed -i \
+		-e 's/set(fmt_min_version.*)/set(fmt_min_version "9.0")/' \
+		"${S}/external/CMakeLists.txt" || die
+	cmake_src_prepare
+}
+
 src_configure() {
 	python_setup
 	local mycmakeargs=(


             reply	other threads:[~2024-10-09 15:39 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-10-09 15:39 David Roman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-06 11:02 [gentoo-commits] repo/proj/guru:master commit in: sci-electronics/slang/ David Roman
2025-02-17  9:49 David Roman
2025-02-17  9:49 David Roman
2024-10-09 15:39 David Roman
2024-04-22  6:16 Viorel Munteanu
2024-03-02  7:10 Arthur Zamarin
2024-02-17  2:40 Rui Huang
2023-06-07  7:04 Viorel Munteanu
2023-06-07  7:04 Viorel Munteanu
2023-04-01 21:30 Haelwenn Monnier
2023-03-31 10:16 Florian Schmaus
2023-03-16  8:41 Florian Schmaus

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1728448303.9cd1a47eec4d2f6573682e5d28b67b1ae01b9f85.davidroman@gentoo \
    --to=davidroman96@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox